Package org.eclipse.ecf.remoteservice

## Class AbstractRemoteCallListener

- java.lang.Object
- - org.eclipse.ecf.remoteservice.AbstractRemoteCallListener

All Implemented Interfaces:
  `IRemoteCallListener`

    public abstract class AbstractRemoteCallListener
    extends Object
    implements IRemoteCallListener

Abstract implementer of IRemoteCallListener. This utility class may be used to simplify the implementation of IRemoteCallListener.

Since:
  3.0

### Field Summary

Fields
`protected IRemoteCall` `remoteCall`
`protected IRemoteServiceReference` `remoteReference`

### Constructor Summary

Constructors
`AbstractRemoteCallListener()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected IRemoteCall` `getRemoteCall()`
`protected IRemoteServiceReference` `getRemoteServiceReference()`
`void` `handleEvent​(IRemoteCallEvent event)` Handle remote call events.
`protected abstract void` `handleRemoteCallComplete​(Object result)` Handle remote call complete.
`protected void` `handleRemoteCallCompleteEvent​(IRemoteCallCompleteEvent event)`
`protected abstract void` `handleRemoteCallException​(Throwable exception)` Handle remote call exception.
`protected void` `handleRemoteCallStartEvent​(IRemoteCallStartEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### remoteCall

    protected IRemoteCall remoteCall

#### remoteReference

    protected IRemoteServiceReference remoteReference

### Constructor Detail

#### AbstractRemoteCallListener

    public AbstractRemoteCallListener()

### Method Detail

#### handleEvent

    public void handleEvent​(IRemoteCallEvent event)

Description copied from interface: `IRemoteCallListener`
Handle remote call events. The two remote call events are IRemoteCallStartEvent, and IRemoteCallCompleteEvent

Specified by:
  `handleEvent` in interface `IRemoteCallListener`
Parameters:
  `event` - the event. Will not be `null`.

#### getRemoteCall

    protected IRemoteCall getRemoteCall()

#### getRemoteServiceReference

    protected IRemoteServiceReference getRemoteServiceReference()

#### handleRemoteCallCompleteEvent

    protected void handleRemoteCallCompleteEvent​(IRemoteCallCompleteEvent event)

#### handleRemoteCallComplete

    protected abstract void handleRemoteCallComplete​(Object result)

Handle remote call complete. If the remote call completes successfully, this method will then be called with the given result of the call passed as the parameter. If the remote call throws an exception, then `handleRemoteCallException(Throwable)` will be called instead.

Parameters:
  `result` - the result of the remote call. May be `null`.
See Also:
  `handleRemoteCallException(Throwable)`

#### handleRemoteCallException

    protected abstract void handleRemoteCallException​(Throwable exception)

Handle remote call exception. If the remote call does not complete successfully, this method will be called with the Throwable exception that occurred. If it did complete successfully, then

Parameters:
  `exception` - the Throwable that occurred during execution of the remote call. Will not be `null`.

#### handleRemoteCallStartEvent

    protected void handleRemoteCallStartEvent​(IRemoteCallStartEvent event)